/*
 * David Muller; Germán Alfaro
 * davehmuller@gmail.com; alfaro.germanevera@gmail.com
 * rglatts@ucsd.edu
 *
 * Thom Maughan, tm@mbari.org 2018,2019
 */

#ifndef MPHOX_ADS1248_ISO_H_
#define MPHOX_ADS1248_ISO_H_

/*
 * Isolated ADS1248 function prototypes:
 */
void Init_ADS1248_iso(void);
void openADS1248_iso(void);
//float pollADS1248_iso(unsigned char pos_chan, unsigned char neg_chan, uint32_t trials, uint32_t gain, uint32_t sps);  errors result
float pollADS1248_iso(unsigned char pos_chan, unsigned char neg_chan, int trials, int gain, int sps);

void closeADS1248_iso(void);

void ADS1248_gpio_ADG1609_mux(uint32_t chan);
void ADS1248_gpio2(uint32_t state);
void ADS1248_gpio3(uint32_t state);
void ADS1248_gpio_init(void);


#endif
